using PkmnLib.Plugin.Gen7.Scripts.Pokemon;

namespace PkmnLib.Plugin.Gen7.Scripts.Moves;

[Script(ScriptCategory.Move, "leech_seed")]
public class LeechSeed : Script, IScriptOnSecondaryEffect
{
    /// <inheritdoc />
    public void OnSecondaryEffect(IExecutingMove move, IPokemon target, byte hit)
    {
        if (target.Types.Any(x => x.Name == "grass"))
        {
            move.GetHitData(target, hit).Fail();
            return;
        }
        target.Volatile.Add(new LeechSeedEffect(target, move.User));
    }
}